> For the complete documentation index, see [llms.txt](https://api.fwallet.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.fwallet.net/fruits-node-api-for-multiple-nft/mint-nft.md).

# Mint NFT

URL: <https://fwallet.net/fruits?requestType=multipleTokenApi>

Method: POST

Required fields:

* method: This must be "mint".
* amountNQT: This must be "0".
* arg1: The URI of NFT. This is a random number greater than -9223372036854775808, less than 9223372036854775807 and will not be minted successfully if it already matches an existing NFT. For example: "15654862454642". This URI is the link between metadata and NFT in the blockchain. Metadata is stored in a centralized server.
* arg2: The Royalties rate. This rate is paid to the NFT creator. This must be a integer from 0 to 100. For example: A user sells a NFT by 100 FRTS. if Royalties rate is 5%, NFT creator will get 5 FRTS even if he is not a seller.
* arg3: The quantity of NFT. (Maximum value is "100000").
* contractName: The created smart contract name. For example: "PFT".
* secretPhrase: The passphrase of NFT owner.
* feeNQT: This must be "100000000".
* deadline: Transaction confirmation deadline.&#x20;

→You need to wait 2 blocks, NFT will be minted successfully.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.fwallet.net/fruits-node-api-for-multiple-nft/mint-nft.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
